Notification messages for mentions assume article namespace, do not reflect other namespaces
OpenPublic

Description

Messages such as 'Yoshimi mentioned you on talk page in "Wyoming"' do not work completely well with discussion pages in other namespaces.

For example, in the English Wikipedia [[Wikipedia:Village pump (technical)]] is itself a discussion page, and it also has a talk page - [[Wikipedia talk:Village pump (technical)]]. So when the message says 'Yoshimi mentioned you on talk page in "Wikipedia:Village pump (technical)"' does it refer to the main page or to the talk page?

My proposed solution is to create new message that won't mention the word "talk" in the message if the page is not actually in one of the talk namespaces. Something like this: 'Yoshimi mentioned you in a discussion in "Wikipedia:Village pump (technical)"'.

This was noticed by Dolev ([[User:דולב]]), an experienced user on the Hebrew Wikipedia.


See Also:
T57491: "mention" notifications on Meta don't work for ns0
T59273: Improve echo message for mention on talk page of person making the mention
T66504: Notification involving suppressed revision produces erroneous link
T57671: Echo: Namespace is not indicated for posts to talk pages other than article talk

Older changes are hidden. Show older changes.
Amire80 created this task.Via LegacySep 21 2013, 6:09 PM
Spage added a comment.Via ConduitSep 23 2013, 8:50 PM

Prioritization and scheduling of this bug is tracked on Mingle card https://mingle.corp.wikimedia.org/projects/flow/cards/255

Deskana added a comment.Via ConduitDec 24 2013, 12:37 PM

Any news on this one? I just noticed it myself.

Quiddity added a comment.Via ConduitFeb 3 2014, 7:09 PM

With bug 55491 about to go through (patch titled "Remove namespace restriction for mention notifications"), this is getting more important.

Are there any objections to Amir's proposal?

Quiddity added a comment.Via ConduitFeb 11 2014, 8:50 PM

Similar (but different?) issue mentioned at https://en.wikipedia.org/wiki/Wikipedia_talk:Notifications#Bad_namespace where an editor has gotten a Notification that said (translated/edited) "user:foo mentioned you on talk page of user Edit filter".

Possibly all the Echo messages (and translations thereof) will need to re-examined along with bug 55491 ?

Quiddity added a comment.Via ConduitFeb 22 2014, 12:06 AM

(In reply to Quiddity from comment #3)

With bug 55491 about to go through (patch titled "Remove namespace
restriction for mention notifications"), this is getting more important.

Are there any objections to Amir's proposal?

Per this ^ , I'm bumping the importance up. Anyone have feedback/objections/additions/code?

Technical13 added a comment.Via ConduitFeb 22 2014, 12:18 AM

If the {{FULLPAGENAME}} equivalent is used, there is no need to add that it is a "talk page". I suggest just chopping that out of all mention notifications would be the easiest solution... I'll make a patch, and see if I can figure out how to upload it to Gerrit in the upcoming week...

Scott added a comment.Via ConduitFeb 24 2014, 6:03 PM

I think that bug 57273 is a duplicate of this in the sense that it has the same underlying cause. Quiddity, can you confirm that?

Quiddity added a comment.Via ConduitFeb 25 2014, 1:37 AM

(In reply to Scott Martin from comment #7)

I think that bug 57273 is a duplicate of this in the sense that it has the
same underlying cause. Quiddity, can you confirm that?

I'm pretty sure it is a duplicate, yes.

To solve it all, and a bunch of other consistency-problems in the same shot, I believe we'll need to re-examine ALL of echo's notification-messages, and update a variety of the wording, and which elements get linked. (The Special:Notifications messages, the Flyout messages, and the Email messages. Many of these triplets are inconsistent, as experiments were done and community requests were implemented.)

Note: They're all listed in Echo.i18n.php in https://git.wikimedia.org/tree/mediawiki%2Fextensions%2FEcho if anyone wants to start a list onwiki, for us to go through. Perhaps in a new section at [[mw:Talk:Echo_%28Notifications%29/Feature_requirements]], would be good. Or I might if some free-time turns up! (I'm not officially working with Echo. Just trying to help it along in my spare time.)

Quiddity added a comment.Via ConduitApr 26 2014, 3:11 AM

Note: This bug's issue was recently discussed at https://translatewiki.net/wiki/Thread:Support/About_MediaWiki:Notification-mention/en_%283%29

(Tangential side-note: I've listed All the (English) Echo messages at [[mw:Echo (Notifications)/Message audit]], and will be shuffling that page into a better order next week, for an eventual mass-audit/update. I've also been slowly triaging the existing message-related bugs, to cross-reference them with the messages that need to be updated. Work continues, slowly but surely.)

Scott added a comment.Via ConduitApr 27 2014, 1:37 PM
  • Bug 57273 has been marked as a duplicate of this bug. ***
Legoktm added a comment.Via ConduitJul 8 2014, 6:29 PM
  • Bug 67666 has been marked as a duplicate of this bug. ***
werdna removed a subscriber: werdna.Via WebDec 10 2014, 5:24 PM
Quiddity edited the task description. (Show Details)Via WebFeb 3 2015, 3:34 AM
Lokal_Profil added a subscriber: Lokal_Profil.Via WebMar 5 2015, 8:54 AM
Legoktm moved this task to Needs code on the Notifications workboard.Via WebJul 6 2015, 9:12 AM
DannyH moved this task to Freezer on the Collaboration-Team-Backlog workboard.Via WebAug 21 2015, 10:32 PM
Legoktm claimed this task.Via WebSep 2 2015, 11:46 PM
Legoktm added a comment.Via WebSep 2 2015, 11:54 PM

We're going to do something like "Foo mentioned you on "Wikipedia:FooBar" in "section".

Mattflaschen added a subscriber: Mattflaschen.Via WebSep 2 2015, 11:55 PM

We're going to do something like "Foo mentioned you on "Wikipedia:FooBar" in "section".

IMHO, we can also just do "Foo mentioned you on "Wikipedia talk:FooBar" in "section" even when it is a talk page. Don't know if we decided that yet.

Legoktm added a comment.EditedVia WebSep 2 2015, 11:56 PM

Yeah, I wasn't clear in my post. We're going to use that generic message for all pages, talk and non-talk.

Mattflaschen moved this task to Ready for pickup on the Collaboration-Team-Current workboard.Via WebSep 10 2015, 1:44 AM
jrbs added a project: Voice & Tone.Via WebOct 30 2015, 12:00 AM
jrbs added a subscriber: jrbs.
Catrope added a subscriber: Catrope.Via WebNov 19 2015, 3:59 AM

@Legoktm Didn't I see code for this on your screen on Monday? Is there a patch in Gerrit?

Catrope moved this task to In Development on the Collaboration-Team-Current workboard.Via WebNov 19 2015, 3:59 AM
Catrope reassigned this task from Legoktm to jmatazzoni.EditedVia WebDec 17 2015, 11:41 PM
Catrope added subscribers: jmatazzoni, Pginer-WMF.

We discussed this this week, and decided to go with the following suggestion by @Pginer-WMF:

Assigning to @jmatazzoni to write actual text for these.

Catrope changed the title from "Messages about talk pages are not completely adapted to non-talk namespaces" to "Notification messages for mentions assume article namespace, do not reflect other namespaces".Via WebDec 17 2015, 11:42 PM
Catrope moved this task to Product/design work on the Collaboration-Team-Current workboard.Via WebDec 17 2015, 11:46 PM
jmatazzoni added a comment.EditedVia WebDec 18 2015, 12:56 AM

Her's my go at defining messaging for the scenarios described above:

EXTENDED MESSAGING FOR MENTIONS

ON ARTICLE TALK PAGES (no change)

  • Big Bird mentioned you on the Amphibians talk page in "Can frogs talk?".
  • [if the mention is not in a topic] Big Bird mentioned you on the Amphibians talk page.

ON USER TALK PAGES

  • Big Bird mentioned you on the user talk page of Miss Piggy in "Things that are green".
  • [if the mention is not in a topic] Big Bird mentioned you on the user talk page of Miss Piggy.
  • [if it is the mentioner's own talk page] Big Bird mentioned you on his talk page in "Things that are green".
  • [if it is the mentioner's own talk page but not in a topic] Big Bird mentioned you on his talk page.

ON ALL OTHER PAGES

  • Big Bird mentioned you on Wikipedia:Administrator's Noticeboard in “Administrators we love”.
  • [if the mention is not in a topic] Big Bird mentioned you on Wikipedia:Administrator's Noticeboard.
jmatazzoni placed this task up for grabs.Via WebDec 18 2015, 12:59 AM
jmatazzoni moved this task to Ready for pickup on the Collaboration-Team-Current workboard.
Mattflaschen added a comment.EditedVia WebDec 29 2015, 7:45 PM

For the secondary links, we decided:

Refer in links to just “Paris” using icons for main (page icon) and talk (speech bubble icon) namespaces and use namespace for other namespaces. e.g., Portal talk:Paris. Also use icons regardless to distinguish subject (Paris or Portal:Paris) and talk page (Talk:Paris or Portal talk:Paris).

SBisson claimed this task.Via WebTue, Jan 19, 6:23 PM
SBisson moved this task to In Development on the Collaboration-Team-Current workboard.
matej_suchanek added a subscriber: matej_suchanek.Via WebTue, Jan 19, 7:09 PM
SBisson added a comment.Via WebWed, Jan 20, 1:05 AM

For the secondary links, we decided:

Refer in links to just “Paris” using icons for main (page icon) and talk (speech bubble icon) namespaces and use namespace for other namespaces. e.g., Portal talk:Paris. Also use icons regardless to distinguish subject (Paris or Portal:Paris) and talk page (Talk:Paris or Portal talk:Paris).

What should be the "page icon"? @Pginer-WMF

gerritbot added a subscriber: gerritbot.Via ConduitWed, Jan 20, 1:06 AM

Change 265177 had a related patch set uploaded (by Sbisson):
[wip] Rephrase mention notifications

https://gerrit.wikimedia.org/r/265177

gerritbot added a project: Patch-For-Review.Via ConduitWed, Jan 20, 1:06 AM
Pginer-WMF added a comment.Via WebWed, Jan 20, 6:29 AM

For the secondary links, we decided:

Refer in links to just “Paris” using icons for main (page icon) and talk (speech bubble icon) namespaces and use namespace for other namespaces. e.g., Portal talk:Paris. Also use icons regardless to distinguish subject (Paris or Portal:Paris) and talk page (Talk:Paris or Portal talk:Paris).

What should be the "page icon"? @Pginer-WMF

It's the "Article" icon from the ooui collection:
uniE100 - article.svg

SBisson moved this task to Needs Review on the Collaboration-Team-Current workboard.Via WebWed, Jan 20, 2:12 PM
Catrope added a comment.Via WebWed, Jan 20, 5:08 PM

For the secondary links, we decided:

Refer in links to just “Paris” using icons for main (page icon) and talk (speech bubble icon) namespaces and use namespace for other namespaces. e.g., Portal talk:Paris. Also use icons regardless to distinguish subject (Paris or Portal:Paris) and talk page (Talk:Paris or Portal talk:Paris).

What should be the "page icon"? @Pginer-WMF

It's the "Article" icon from the ooui collection:
uniE100 - article.svg

AIUI this is a secondary link icon, right? Secondary link icons use OOUI, so you should be able to simply use 'icon' => 'article'

SBisson added a comment.Via WebWed, Jan 20, 5:19 PM

AIUI this is a secondary link icon, right? Secondary link icons use OOUI, so you should be able to simply use 'icon' => 'article'

I had to add the files and add it to mediawiki/badgeicons.json for it to work, is it normal?

Catrope added a comment.Via WebWed, Jan 20, 6:33 PM

AIUI this is a secondary link icon, right? Secondary link icons use OOUI, so you should be able to simply use 'icon' => 'article'

I had to add the files and add it to mediawiki/badgeicons.json for it to work, is it normal?

No, it's in OOUI so you should not have had to do that. Maybe it's in a different icon pack and you need to load it?

Catrope added a comment.Via WebWed, Jan 20, 6:34 PM

Try depending on the oojs-ui.styles.icons-article module.

SBisson added a comment.Via WebWed, Jan 20, 7:20 PM

Try depending on the oojs-ui.styles.icons-article module.

Thanks. I found the 'article' icon under oojs-ui.styles.icons-content.

gerritbot added a comment.Via ConduitFri, Jan 29, 2:00 PM

Change 265177 merged by jenkins-bot:
Rephrase mention notifications

https://gerrit.wikimedia.org/r/265177

SBisson moved this task to QA Review on the Collaboration-Team-Current workboard.Via WebFri, Jan 29, 3:22 PM
matej_suchanek added a comment.EditedVia WebFri, Jan 29, 3:32 PM

@SBisson Does parameter $4 in notification-header-mention-user-talkpage support gender? (I expect it does but there is no note about this in /qqq.)

gerritbot added a comment.Via ConduitFri, Jan 29, 4:09 PM

Change 267266 had a related patch set uploaded (by Sbisson):
Support GENDER in mention-on-user-talk messages

https://gerrit.wikimedia.org/r/267266

SBisson added a comment.Via WebFri, Jan 29, 4:12 PM

@SBisson Does parameter $4 in notification-header-mention-user-talkpage support gender? (I expect it does but there is no note about this in /qqq.)

Well, it works for most cases (not all) but it's really by accident. I was considering this a page name, which is also technically true, but in the context of the message it's really the username. I've added proper formatting, gender support, and documentation.

Thanks for catching this!

SBisson moved this task to Needs Review on the Collaboration-Team-Current workboard.Via WebFri, Jan 29, 4:14 PM
Nemo_bis added a subscriber: Nemo_bis.Via WebFri, Jan 29, 4:37 PM

Nice to see some i18n love in this area!

gerritbot added a comment.Via ConduitFri, Jan 29, 4:47 PM

Change 267266 merged by jenkins-bot:
Support GENDER in mention-on-user-talk messages

https://gerrit.wikimedia.org/r/267266

SBisson moved this task to QA Review on the Collaboration-Team-Current workboard.Via WebFri, Jan 29, 5:13 PM
Etonkovidova added a subscriber: Etonkovidova.Via WebSat, Jan 30, 12:02 AM

Checked in betalabs according to the following cases

Split mentions into 4 cases:

    • Mentioned on article talk page
    • Mentioned on agent's talk page
    • Mentioned on another user's talk page
  • Mentioned on any other page

Adjust secondary link
icon: article or talk
text: without namespace for article and article talk

  • Mentioned on article talk page

Etonkovidova added a comment.Via WebSat, Jan 30, 12:26 AM

'Thank' Notifications reflect namespaces - in the screenshot below: Talk, User talk, and Wikipedia.

Is it ok?

SBisson added a comment.Via WebSat, Jan 30, 12:27 PM

This screenshot is for flow-mention but this task is for mention on wikitext pages.

SBisson added a comment.Via WebSat, Jan 30, 12:30 PM

'Thank' Notifications reflect namespaces - in the screenshot below: Talk, User talk, and Wikipedia.

Is it ok?

Not related to this ticket but that doesn't seem ok. Are these flow-thank? And is the last one a topic title with a template?

Nemo_bis removed a subscriber: Nemo_bis.Via WebSun, Jan 31, 10:11 AM
jmatazzoni added a comment.Via WebMon, Feb 1, 4:27 PM

On this screenshot, is "their" used because that's what you get if you select the "gender neutral" pref under "How do you prefer to be described?"

SBisson added a comment.Via WebMon, Feb 1, 5:12 PM

On this screenshot, is "their" used because that's what you get if you select the "gender neutral" pref under "How do you prefer to be described?"

Yes, it's singular "their".

Etonkovidova added a comment.EditedVia WebMon, Feb 1, 5:13 PM

@jmatazzoni - yes, 'their' is used for gender neutral reference.

@SBisson
Template display is ok, in this case - it was reported and Matt is working on it. Sorry, I should've used a different screenshot.

Etonkovidova added a comment.Via WebMon, Feb 1, 11:51 PM

@SBisson

this task is for mention on wikitext pages

  • I am not able to trigger Mention notifications from non-Flow pages with [[User: username]].
  • in fact, no Notifications are coming from edits on non-Flow pages
Mattflaschen added a comment.Via WebTue, Feb 2, 1:40 AM
  • in fact, no Notifications are coming from edits on non-Flow pages

This might be due to job queue misfunctioning on Beta. https://gerrit.wikimedia.org/r/#/c/266949/ needs review and should work around this issue at least on enwiki beta.

Trizek-WMF added a subscriber: Trizek-WMF.Via WebThu, Feb 4, 9:19 AM
MGChecker added a subscriber: MGChecker.Via WebThu, Feb 4, 5:33 PM
Etonkovidova added a comment.Via WebMon, Feb 8, 9:15 PM
This comment was removed by Etonkovidova.
Etonkovidova added a comment.Via WebMon, Feb 8, 10:57 PM

Checked in betalabs

  • talk pages from Main space are referenced in the message as [Name of the article] talk page and displayed without Talk: in their title
  • other namespaces' Talk pages are referenced directly in the message, e.g. Wikimedia talk:EchoTest and in the links.
  • non-talk pages from non-main space are referenced with their namespaces.

Etonkovidova moved this task to Product Review on the Collaboration-Team-Current workboard.Via WebMon, Feb 8, 10:58 PM

Add Comment